Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html.parser
Class ParserDelegator

    java.lang.Object
      |
      +--javax.swing.text.html.HTMLEditorKit.Parser
            |
            +--javax.swing.text.html.parser.ParserDelegator

All Implemented Interfaces:
  Serializable

public class ParserDelegator
extends HTMLEditorKit.Parser
implements Serializable

Responsible for starting up a new DocumentParser each time its parse method is invoked. Stores a reference to the dtd.

Constructor Summary
`ParserDelegator()`

Method Summary
`protected static DTD` | `createDTD(DTD dtd, String name)`
`void` | `parse(Reader r, HTMLEditorKit.ParserCallback cb, boolean ignoreCharSet)` Parse the given stream and drive the given callback with the results of the parse.
`protected static void` | `setDefaultDTD()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParserDelegator

    public ParserDelegator()

Method Detail

### setDefaultDTD

    protected static void setDefaultDTD()

### createDTD

    protected static DTD createDTD(DTD dtd,
                                   String name)

### parse

    public void parse(Reader r,
                      HTMLEditorKit.ParserCallback cb,
                      boolean ignoreCharSet)
               throws IOException

  Description copied from class: `HTMLEditorKit.Parser`
  Parse the given stream and drive the given callback with the results of the parse. This method should be implemented to be thread-safe.

  Specified by:
    `parse` in class `HTMLEditorKit.Parser`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.